import { App } from "vue";
import {
  Button,
  ConfigProvider,
  DatePicker,
  Form,
  Input,
  Layout,
  Menu,
  message,
  Modal,
  Popover,
  Select,
  Table,
  Switch,
  Drawer,
} from "ant-design-vue";

import VueClipboard3 from "./vue-clipboard";
import VueConfirmDirective from "./vue-confirm";
import VueQrCode from "./vue-qrcode";

import { ModalConfirmKey } from "./injectionKey";

const install = (app: App<Element>) => {
  app.provide(ModalConfirmKey, Modal.confirm);
  app.config.globalProperties.$confirm = Modal.confirm;
  app.config.globalProperties.$message = message;

  return app
    .use(VueClipboard3)
    .use(VueConfirmDirective)
    .use(VueQrCode)
    .use(ConfigProvider)
    .use(Layout)
    .use(Menu)
    .use(Form)
    .use(Input)
    .use(Button)
    .use(Select)
    .use(DatePicker)
    .use(Table)
    .use(Popover)
    .use(Switch)
    .use(Modal)
    .use(Drawer);
};

export default install;
