import { RouteConfig } from "@/types/route";

export const AccountManager: RouteConfig = {
  name: "AccountManager",
  path: "/account",
  meta: {
    title: "公众号管理",
  },
  component: () => import("@/views/account/account.vue"),
};

const PutBook: RouteConfig = {
  name: "PutBook",
  path: "book",
  meta: {
    title: "投放书籍",
  },
  component: () => import("@/views/put/put-book.vue"),
};

const PutAdAccount: RouteConfig = {
  name: "PutAdAccount",
  path: "ad-account",
  meta: {
    title: "广告账号",
  },
  component: () => import("@/views/put/put-ad-account.vue"),
};

const PutAdPlan: RouteConfig = {
  name: "PutAdPlan",
  path: "ad-plan",
  meta: {
    title: "广告计划",
  },
  component: () => import("@/views/put/put-ad-plan.vue"),
};

const PutData: RouteConfig = {
  name: "PutData",
  path: "data",
  meta: {
    title: "投放数据",
  },
  component: () => import("@/views/put/put-data.vue"),
};


const PutLog: RouteConfig = {
  name: "PutLog",
  path: "log",
  meta: {
    title: "操作日志",
  },
  component: () => import("@/views/put/put-log.vue"),
};

const PutDataMore: RouteConfig = {
  name: "PutDataMore",
  path: "datamore",
  meta: {
    title: "更多投放数据",
    activeMenu: "/put/data",
  },
  hidden: true,
  component: () => import("@/views/put/put-data-more.vue"),
};

export const PutManager: RouteConfig = {
  name: "PutManager",
  path: "/put",
  meta: {
    title: "投放管理",
  },
  children: [PutBook, PutAdAccount, PutAdPlan, PutData, PutDataMore, PutLog],
  component: () => import("@/views/put/index.vue"),
};

const asyncRoutes: RouteConfig[] = [AccountManager, PutManager];

export default asyncRoutes;
